QGIS Application - Bug report #11698
Max size of qwidget in QGIS 2.6
2014-11-20 03:25 AM - Seb Radzimski

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.6.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19942
Description

Hi there!

| found a bug while using Ul form (made in QT4) in QGIS 2.6, which doesn't popup in previous versions. | am using relation between
layers: pipes and damages (defined in project properties). To edit pipes attributes | use my Ul form which contains qwidget, with 'dynamic
property' qgisRelation called as relation ID. The problem is that in QGIS 2.6 max size of qwidget window is set on 300x300 (I guess) and |
can't make it bigger! In QGIS 2.4 size od gwidget depends on size defined in QT, but QGIS 2.6 ignore every size bigger than 300x300 (if
size is smaller it works but up to 300x300).

Please have a look at a small project that | prepared to explain what | mean. If you open it in 2.4 QGIS the size of qwidget (in Tab 2) will
be 700x400 but in QGIS 2.6 it's max 300x300.

PS. If I roll up relation 'damage_relation' in Tab2 (using triangle button) | can't get it back - in QGIS 2.4 damages tables still are shown.
Thanks.

Associated revisions

Revision Oafdedeb - 2015-01-05 05:32 PM - Matthias Kuhn

Expand size of RelationReference when custom .ui is defined with a QWidget

Fix #11698

History

#1 - 2014-11-23 11:06 PM - Seb Radzimski

Come on, guys ;) Maybe it's something | am doing wrong ? Because of that issue | can't update to 2.6. Do you see this problem too, or it's just me? (please

check attached projekt)

Cheers!

#2 - 2014-11-24 12:29 AM - Giovanni Manghi

Seb Radzimski wrote:

Come on, guys ;) Maybe it's something | am doing wrong ? Because of that issue | can't update to 2.6. Do you see this problem too, or it's just me?

(please check attached projekt)
Cheers!

If you need quick feedback the best chances are writing also to the developers mailing list and/or using the #qgis irc channel.
#3 - 2014-11-26 03:03 AM - Seb Radzimski

There is no rush, but | am curious if | have done something wrong, or maybe it is a bug ? If it is, it can be fix in next version, but | just wanted to report what
| have noticed.

#4 - 2014-11-26 01:16 PM - Giovanni Manghi

Seb Radzimski wrote:

There is no rush, but I am curious if | have done something wrong, or maybe it is a bug ? If it is, it can be fix in next version, but | just wanted to

report what | have noticed.

anyway here you a reach a relatively small audience, so really better write also in the dev mailing list.

#5 - 2015-01-05 08:35 AM - Matthias Kuhn
- Status changed from Open to Closed

It should work as before with the latest fix.

For 2.6 there is already a custom widget for the relation reference. If you use that instead of the QWidget, it should work also with 2.6.

In general | would recommend you to also assign a layout to your containers (main dialog, tabs...) so the contents expand when the window is resized.

Files

gwidget.zip 13 KB 2014-11-20 Seb Radzimski
